<?php
namespace app\controller;

use app\model\Link;
use page\DxtcPageA;
use think\Paginator;

/**
 * 友情链接
 *
 * Class Links
 * @package app\controller
 */
class Links extends Base
{

    public function index()
    {
        // 自定义分页驱动
        app('think\App')->bind(Paginator::class, DxtcPageA::class);
        $items = Link::getListWithPaginate([], 15);

        $this->data['items']    = $items;

        $this->setSeo('友情链接');
        return $this->view();
    }
}